List all invitations across every account of the authenticated integrator
curl --request GET \
--url https://api.byzantine.fi/v1/query/get-all-invitations \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://api.byzantine.fi/v1/query/get-all-invitations"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://api.byzantine.fi/v1/query/get-all-invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"invitations": [
{
"invitation_id": "550e8400-e29b-41d4-a716-446655440000",
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"account_name": "<string>",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"role": "root",
"first_name": "<string>",
"last_name": "<string>",
"user_email": "<string>",
"inviter_id": "550e8400-e29b-41d4-a716-446655440000",
"inviter_first_name": "<string>",
"inviter_last_name": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 342,
"limit": 20,
"offset": 0
}Multi-users account
List all invitations across every account of the authenticated integrator
Returns invitations across all accounts owned by the integrator, paginated and ordered (DESC by default).
GET
/
v1
/
query
/
get-all-invitations
List all invitations across every account of the authenticated integrator
curl --request GET \
--url https://api.byzantine.fi/v1/query/get-all-invitations \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://api.byzantine.fi/v1/query/get-all-invitations"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://api.byzantine.fi/v1/query/get-all-invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"invitations": [
{
"invitation_id": "550e8400-e29b-41d4-a716-446655440000",
"account_id": "550e8400-e29b-41d4-a716-446655440000",
"account_name": "<string>",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"role": "root",
"first_name": "<string>",
"last_name": "<string>",
"user_email": "<string>",
"inviter_id": "550e8400-e29b-41d4-a716-446655440000",
"inviter_first_name": "<string>",
"inviter_last_name": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 342,
"limit": 20,
"offset": 0
}Headers
Query Parameters
Response
Invitations retrieved successfully

